UbixOS V2 2.0

Functions
kern_sig.c File Reference
`#include <sys/kern_sig.h>`
`#include <sys/sysproto_posix.h>`
`#include <sys/thread.h>`
`#include <lib/kprintf.h>`
`#include <ubixos/endtask.h>`
`#include <lib/kmalloc.h>`
`#include <assert.h>`
Include dependency graph for kern_sig.c:

Go to the source code of this file.

## Functions
int | sigaction (struct thread *td, register struct sigaction_args *uap)
int | sigprocmask (register struct thread *td, struct sigprocmask_args *uap)

## Function Documentation

## ◆ sigaction()

int sigaction | ( | struct thread * | td,
|  | register struct sigaction_args * | uap
| ) |  |

Definition at line 37 of file kern_sig.c.

## ◆ sigprocmask()

int sigprocmask | ( | register struct thread * | td,
|  | struct sigprocmask_args * | uap
| ) |  |

Definition at line 41 of file kern_sig.c.